#include "kk_tsl_zigbee_map.h"
#include "kk_test.h"

kk_tsl_zigbee_map_t g_tsl_zigbee_map [] = {
	{
		"a1h88DsZIaY",
		3,
		{
			{KK_TSL_DATA_TYPE_TEXT,"LightStatus",lightStatusSet},
			{KK_TSL_DATA_TYPE_TEXT,"LightAdjustLevel",lightStatusSet},
			{KK_TSL_DATA_TYPE_TEXT,"LightAlias",lightStatusSet},
		}
	},
	{
		"testtype",
		4,
		{
			{KK_TSL_DATA_TYPE_TEXT,"test1",lightStatusSet},
			{KK_TSL_DATA_TYPE_TEXT,"test12",lightStatusSet},
			{KK_TSL_DATA_TYPE_TEXT,"test123",lightStatusSet},
			{KK_TSL_DATA_TYPE_TEXT,"test1234",lightStatusSet},		
		}
	},	

};

int kk_find_ctrl_obj(const char *product_type)
{
	int map_num = sizeof(g_tsl_zigbee_map) / sizeof(kk_tsl_zigbee_map_t);
	int index = 0;
	for(index = 0;index < map_num; index++)
	{
		if(!strcmp(product_type,g_tsl_zigbee_map[index].product_type))
		{
			return index;
		}
	}
	return -1;
}

int kk_get_Identity_Num(int index)
{
	return g_tsl_zigbee_map[index].num;
}



